## htp 1.13

=== Makefile ===
#
# makefile - htp
#
# HTML pre-processor
# Copyright (c) 2002 Jochen Hoenicke
#

TOP=.
include $(TOP)/Makefile.config
SUBDIRS = src tests ref homepage examples
DISTFILES = Makefile Makefile.config

do-scrub:
	rm -f $(MAIN)-*.zip $(MAIN)-*.tar.gz

do-clean:
	rm -rf $(RELDIR)
	rm -f *~

release: all release-src release-doc release-bin
	ls -l $(MAIN)-$(VERSION)*

release-src: dist
	tar -czf $(MAIN)-$(VERSION).tar.gz $(RELDIR)
	rm -rf $(RELDIR)

release-doc:
	rm -rf $(RELDIR)
	make subdir-install-doc pkgdocdir=`pwd`/$(RELDIR)
	zip -r $(MAIN)-$(VERSION)-doc.zip $(RELDIR)
	rm -rf $(RELDIR)

release-bin:
	make -C src htp
	zip -j $(MAIN)-$(VERSION)-$(shell uname -s).zip src/htp
	make all

=== examples/Makefile ===
#
# makefile - htp
#
# HTML pre-processor
# Copyright (c) 2002 Jochen Hoenicke
#

TOP=..
include $(TOP)/Makefile.config


#
# object files used
#

HTP_DEF = htp.def section.def section.htt
HTP_SRC = beer.htp prime.htp quine.htp section.htp 

HTML = $(HTP_SRC:%.htp=%.html)

DISTFILES = Makefile $(HTP_SRC) $(HTP_DEF)

all: run-htp

do-clean:
	rm -f *~ htp.rsp *.html

=== homepage/Makefile ===
#
# makefile - htp
#
# HTML pre-processor
# Copyright (c) 2002 Jochen Hoenicke
#

TOP=..
include $(TOP)/Makefile.config


#
# object files used
#

HTP_DEF = htp.def
HTP_SRC = index.htp

HTML = $(HTP_SRC:%.htp=%.html)

DISTFILES = Makefile $(HTP_SRC) $(HTP_DEF)

all: ref run-htp 

ref:
	ln -sf ../ref .

do-scrub:
	rm -f ref

do-clean:
	rm -f *~ htp.rsp *.html

rsync:
	$(RSYNC) $(HTML) $(RSYNCDIR)

=== ref/Makefile ===
#
# makefile - htp
#
# HTML pre-processor
# Copyright (c) 2002 Jochen Hoenicke
#

TOP=..
include $(TOP)/Makefile.config


#
# object files used
#

HTP_DEF = htp.def macros.def toc.def htp.htt
HTP_SRC = alttext.htp block.htp blockdef.htp bugs.htp comment.htp \
  creating.htp def.htp default.htp expand.htp file.htp history.htp \
  if.htp img.htp inc.htp index.htp intro.htp macros.htp metatag.htp \
  opt.htp options.htp output.htp quote.htp set.htp template.htp \
  undef.htp unset.htp usage.htp use.htp while.htp wishlist.htp

IMAGES = logo.png

HTML = $(HTP_SRC:%.htp=%.html)

DISTFILES = Makefile $(HTP_SRC) $(HTP_DEF) $(IMAGES)

all: run-htp

install-doc: run-htp
	mkdir -p $(pkgdocdir)
	for i in $(HTML) $(IMAGES); do \
	$(INSTALL) $$i $(pkgdocdir); done

do-clean:
	rm -f *~ htp.rsp *.html

rsync:
	$(RSYNC) $(HTML) $(IMAGES) $(RSYNCDIR)/ref

=== src/Makefile ===
#
# makefile - htp
#
# HTML pre-processor
# Copyright (c) 2002 Jochen Hoenicke
#

TOP=..
include $(TOP)/Makefile.config


#
# object files used
#
SRC = htp.c bool-proc.c def-proc.c defs.c file-proc.c gif.c html.c \
  htp-files.c image-proc.c image.c jpeg.c macro.c misc-proc.c msg.c \
  option.c png.c set-proc.c snprintf.c streams.c suballoc.c textfile.c \
  use-proc.c util.c varstore.c ver.c while-proc.c
HEADERS = bool-proc.h def-proc.h defs.h file-proc.h gif.h html.h \
  htp-files.h htp.h image-proc.h image.h jpeg.h macro.h misc-proc.h \
  msg.h option.h os.h png.h set-proc.h snprintf.h streams.h suballoc.h \
  textfile.h use-proc.h varstore.h ver.h while-proc.h

OBJ = $(SRC:%.c=%.o)

DISTFILES = Makefile $(SRC) $(HEADERS) LICENSE.txt

all: htp

.PHONY: make-version
make-version:
	echo '#define VER_STRING "$(FULLVERSION)"' > version.inc
	echo '#define PROGRAM_NAME "$(MAIN)"' >> version.inc

install-bin: htp
	mkdir -p $(bindir)
	$(INSTALL) -s htp $(bin_prefix)

install-doc:
	mkdir -p $(pkgdocdir)
	$(INSTALL) LICENSE.txt $(pkgdocdir)


#
# explicit dependency: final executable
#
htp : make-version $(OBJ)
	$(LINK) -o $(MAIN) $(OBJ) $(LOPT)

#
# implicit dependencies for source code
#
.c.o : 
	$(CC) $(CCOPT) $(DEFINES) -o $*.o $<

do-clean:
	rm -f *~ htp *.o

=== tests/Makefile ===
#
# makefile - htp
#
# HTML pre-processor
# Copyright (c) 2002 Jochen Hoenicke
#

TOP=..
include $(TOP)/Makefile.config


#
# object files used
#

HTP_DEF = htp.def files.hti
HTP_SRC = macro.htp files.htp wildcard.htp

HTML = $(HTP_SRC:%.htp=%.html)

DISTFILES = Makefile $(HTP_SRC) $(HTP_DEF)

all: run-htp check

check: $(HTML)
	@for i in $(HTML); do \
	diff -q $$i $$i.exp || echo "TEST FAILED: $$i"; done

do-clean:
	rm -f *~ htp.rsp *.html

## htp 1.15

=== homepage/Makefile ===
#
# makefile - htp
#
# HTML pre-processor
# Copyright (c) 2002 Jochen Hoenicke
#

TOP=..
SUBDIRS = ref source


#
# object files used
#

HTP_DEF = htp.def
HTP_SRC = index.htp

HTML = $(HTP_SRC:%.htp=%.html)

DISTFILES = Makefile $(HTP_SRC) $(HTP_DEF)

include $(TOP)/Makefile.config

export CGIBIN

all: run-htp 

do-clean:
	rm -f *~ htp.rsp *.html

do-rsync: run-htp
	chmod a+r $(HTML) $(HTP_SRC) $(HTP_DEF)
	$(RSYNC) $(HTML) $(HTP_SRC) $(HTP_DEF) $(RSYNCDIR)/

=== src/Makefile ===
--- 
+++ 
@@ -6,8 +6,6 @@
 #
 
 TOP=..
-include $(TOP)/Makefile.config
-
 
 #
 # object files used
@@ -21,37 +19,34 @@
   msg.h option.h os.h png.h set-proc.h snprintf.h streams.h suballoc.h \
   textfile.h use-proc.h varstore.h ver.h while-proc.h
 
-OBJ = $(SRC:%.c=%.o)
+OBJ = $(SRC:%.c=%.$(OBJEXT))
 
 DISTFILES = Makefile $(SRC) $(HEADERS) LICENSE.txt
 
-all: htp
+include $(TOP)/Makefile.config
+
+all: $(MAINEXE)
 
 .PHONY: make-version
 make-version:
 	echo '#define VER_STRING "$(FULLVERSION)"' > version.inc
 	echo '#define PROGRAM_NAME "$(MAIN)"' >> version.inc
 
-install-bin: htp
+install-bin: $(MAINEXE)
 	mkdir -p $(bindir)
-	$(INSTALL) -s htp $(bin_prefix)
-
-install-doc:
-	mkdir -p $(pkgdocdir)
-	$(INSTALL) LICENSE.txt $(pkgdocdir)
-
+	$(INSTALL) -s $(MAINEXE) $(bindir)
 
 #
 # explicit dependency: final executable
 #
-htp : make-version $(OBJ)
-	$(LINK) -o $(MAIN) $(OBJ) $(LOPT)
+$(MAINEXE) : make-version $(OBJ)
+	$(LINK) -o$@ $(OBJ) $(LOPT)
 
 #
 # implicit dependencies for source code
 #
-.c.o : 
-	$(CC) $(CCOPT) $(DEFINES) -o $*.o $<
+%.$(OBJEXT) : %.c
+	$(CC) $(CCOPT) $(DEFINES) -o$*.$(OBJEXT) $<
 
 do-clean:
-	rm -f *~ htp *.o
+	rm -f *~ $(MAINEXE) *.$(OBJEXT)

=== tests/Makefile ===
#
# makefile - htp
#
# HTML pre-processor
# Copyright (c) 2002 Jochen Hoenicke
#

TOP=..

#
# object files used
#

HTP_DEF = htp.def files.hti
HTP_SRC = macro.htp files.htp wildcard.htp comments.htp options.htp png.htp \
	expand.htp tags.htp ifelse.htp

HTML = $(HTP_SRC:%.htp=%.html)
HTP_EXP = $(HTP_SRC:%.htp=%.html.exp)

DISTFILES = Makefile $(HTP_SRC) $(HTP_DEF) $(HTP_EXP)

include $(TOP)/Makefile.config

all: run-htp check

check: $(HTML)
	@for i in $(HTML); do \
	$(DIFF) $$i $$i.exp || echo "TEST FAILED: $$i"; done

do-clean:
	rm -f *~ htp.rsp *.html

=== homepage/ref/pic/Makefile ===
#
# makefile - htp
#
# HTML pre-processor
# Copyright (c) 2002 Jochen Hoenicke
#

TOP=../../..
include $(TOP)/Makefile.config


#
# object files used
#

IMAGES = arrow.png htpicon.png logo.png manbig.png manual.png \
	 sficon.png source.png

DISTFILES = Makefile $(IMAGES)

all:

install-doc:
	mkdir -p $(pkgdocdir)/pic
	for i in $(IMAGES); do \
	$(INSTALL) $$i $(pkgdocdir)/pic; done

do-clean:
	rm -f *~

do-rsync:
	chmod a+r $(IMAGES)
	$(RSYNC) $(IMAGES) $(RSYNCDIR)/ref/pic/

## htp 1.16

=== Makefile ===
#
# makefile - htp
#
# HTML pre-processor
# Copyright (c) 2002 Jochen Hoenicke
#

TOP=.
SUBDIRS = src tests homepage examples
DISTFILES = Makefile Makefile.config CLARIFIED_ARTISTIC

include $(TOP)/Makefile.config

do-scrub:
	rm -f $(MAIN)-*.zip $(MAIN)-*.tar.gz

do-clean:
	rm -rf $(RELDIR)
	rm -f *~

release: all release-src release-doc release-bin
	ls -l $(MAIN)-$(VERSION)*
	@test "$(RELEASE)" == 1 || \
        echo "****** ADD RELEASE=1 TO Makefile.config *******"

release-src: dist
	tar -czf $(MAIN)-$(VERSION).tar.gz $(RELDIR)
	rm -rf $(RELDIR)
	@test "$(RELEASE)" == 1 || \
        echo "****** ADD RELEASE=1 TO Makefile.config *******"

release-doc:
	rm -rf $(RELDIR)
	$(MAKE) -C src $(MAINEXE)
	$(MAKE) install-doc pkgdocdir=`pwd`/$(RELDIR)
	zip -r $(MAIN)-$(VERSION)-doc.zip $(RELDIR)
	rm -rf $(RELDIR)

release-bin:
	$(MAKE) -C src $(MAINEXE)
	zip -j $(MAIN)-$(VERSION)-$(shell uname -s).zip src/$(MAINEXE) CLARIFIED_ARTISTIC

=== examples/Makefile ===
--- 
+++ 
@@ -6,8 +6,6 @@
 #
 
 TOP=..
-include $(TOP)/Makefile.config
-
 
 #
 # object files used
@@ -20,6 +18,8 @@
 
 DISTFILES = Makefile $(HTP_SRC) $(HTP_DEF)
 
+include $(TOP)/Makefile.config
+
 all: run-htp
 
 do-clean:

=== src/Makefile ===
--- 
+++ 
@@ -27,8 +27,7 @@
 
 all: $(MAINEXE)
 
-.PHONY: make-version
-make-version:
+version.inc: $(wildcard *.[ch])
 	echo '#define VER_STRING "$(FULLVERSION)"' > version.inc
 	echo '#define PROGRAM_NAME "$(MAIN)"' >> version.inc
 
@@ -39,14 +38,16 @@
 #
 # explicit dependency: final executable
 #
-$(MAINEXE) : make-version $(OBJ)
-	$(LINK) -o$@ $(OBJ) $(LOPT)
+$(MAINEXE) : $(OBJ)
+	$(LINK) -o $@ $(OBJ) $(LOPT)
 
 #
 # implicit dependencies for source code
 #
 %.$(OBJEXT) : %.c
-	$(CC) $(CCOPT) $(DEFINES) -o$*.$(OBJEXT) $<
+	$(CC) $(CCOPT) $(DEFINES) -o $*.$(OBJEXT) $<
 
 do-clean:
 	rm -f *~ $(MAINEXE) *.$(OBJEXT)
+
+htp.o ver.o: version.inc

=== tests/Makefile ===
--- 
+++ 
@@ -13,7 +13,7 @@
 
 HTP_DEF = htp.def files.hti
 HTP_SRC = macro.htp files.htp wildcard.htp comments.htp options.htp png.htp \
-	expand.htp tags.htp ifelse.htp
+	expand.htp tags.htp ifelse.htp phptest.htp
 
 HTML = $(HTP_SRC:%.htp=%.html)
 HTP_EXP = $(HTP_SRC:%.htp=%.html.exp)

=== homepage/ref/Makefile ===
#
# makefile - htp
#
# HTML pre-processor
# Copyright (c) 2002 Jochen Hoenicke
#

TOP=../..
SUBDIRS = pic


#
# object files used
#

HTP_DEF = htp.def macros.def toc.def htp.htt
HTP_SRC = alttext.htp block.htp blockdef.htp bugs.htp comment.htp \
  def.htp default.htp expand.htp file.htp history.htp \
  if.htp img.htp imageurl.htp inc.htp index.htp intro.htp macros.htp \
  metatag.htp opt.htp options.htp output.htp quote.htp set.htp template.htp \
  undef.htp unset.htp usage.htp use.htp while.htp wishlist.htp \
  tutorial.htp include.htp license.htp

MISC = hlhtp.pl pphtp.pl styles.css

HTML = $(HTP_SRC:%.htp=%.html)

DISTFILES = Makefile $(HTP_SRC) $(HTP_DEF) $(MISC)

include $(TOP)/Makefile.config

export CGIBIN

all: run-htp-tut

run-htp $(HTML): tut

run-htp-tut: run-htp
	@cd tut; \
	for i in tut1 tut2 tut3 jh; do echo $$i.htp $$i.html; done > htp.rsp
	$(HTP) -quiet @tut/

tut:
	mkdir tut

install-doc: run-htp-tut
	mkdir -p $(pkgdocdir)
	for i in $(HTML) $(HTP_SRC) $(HTP_DEF) $(MISC); do \
	$(INSTALL) $$i $(pkgdocdir); done
	mkdir -p $(pkgdocdir)/tut
	for i in tut/*; do \
	$(INSTALL) $$i $(pkgdocdir)/tut; done

do-clean:
	rm -f *~ htp.rsp *.html
	rm -rf tut

do-rsync: run-htp-tut
	chmod a+r $(HTML) $(HTP_SRC) $(HTP_DEF) $(MISC)
	chmod a+rx tut
	chmod a+r tut/*
	$(RSYNC) $(HTML) $(HTP_SRC) $(HTP_DEF) $(MISC) $(RSYNCDIR)/ref/
	$(RSYNC) tut/* $(RSYNCDIR)/ref/tut/
	$(RSYNC) hlhtp.pl $(RSYNCCGI)

=== homepage/source/Makefile ===
#
# makefile - htp
#
# HTML pre-processor
# Copyright (c) 2002 Jochen Hoenicke
#

TOP=../..

#
# object files used
#

HTP_DEF = htp.def
HTP_SRC = source.htp

HTML = $(HTP_SRC:%.htp=%.html)

DISTFILES = Makefile $(HTP_SRC) $(HTP_DEF) source.cgi.in

include $(TOP)/Makefile.config

export CGIBIN

all: run-htp source.cgi

source.cgi: source.cgi.in
	perl -pe 's#___REF_URL___#$(REF_URL)#g;s#___HTP_DIR___#$(HTP_DIR)#g' \
	 < $< > $@
	chmod a+x source.cgi

do-clean:
	rm -f *~ htp.rsp *.html source.cgi

do-rsync: run-htp source.cgi
	chmod a+r $(HTML) $(HTP_SRC) $(HTP_DEF)
	chmod a+rx source.cgi
	$(RSYNC) $(HTML) $(HTP_SRC) $(HTP_DEF) $(RSYNCDIR)/source/
	$(RSYNC) source.cgi $(RSYNCCGI)/

=== homepage/ref/pic/Makefile ===
--- 
+++ 
@@ -13,8 +13,8 @@
 # object files used
 #
 
-IMAGES = arrow.png htpicon.png logo.png manbig.png manual.png \
-	 sficon.png source.png
+IMAGES = arrow.png download.png htpicon.png logo.png manbig.png manual.png \
+	 sficon.png source.png poweredbyhtp.png
 
 DISTFILES = Makefile $(IMAGES)

=== debian/changelog ===
htp (1.16-4) unstable; urgency=low

  * QA upload (see O: bug #676574).
  * Set Maintainer to Debian QA Group.
  * Convert to 3.0 (quilt) source format, avoiding confusion between
    build-arch and build targets in debian/rules (closes: #666307).
  * 0003-Makefile-clean-target-fix.patch: Use rm -f to remove tests/fruits.
  * Add hardening flags, using dpkg-buildflags.

 -- Colin Watson <cjwatson@debian.org>  Thu, 04 Oct 2012 16:19:38 +0100

htp (1.16-3) unstable; urgency=low

  * debian/control:
    + update Standards-Version: to 3.8.1
    + Build-Depends on quilt, update debhelper version
  * debian/compat: bump to 7
  * debian/copyright: convert to UTF-8
  * debian/doc-base.htp: use Section: Web Development
  * debian/htp.manpages: install htp.1 manpage
  * debian/rules: port to dh7 and quilt
  * debian/patches: use patches instead of hardcoding changes in htp source:
    + 0001-Fix-install-path-to-usr-not-usr-local.patch
    + 0002-Remove-unused-printf-variants.patch
    + 0003-Makefile-clean-target-fix.patch
  * debian/watch: add version watch

 -- Diego Escalante Urrelo <diegoe@gnome.org>  Wed, 22 Apr 2009 19:31:17 -0500

htp (1.16-2) unstable; urgency=low

  * Makefile.config: Hardcode /usr as the PREFIX, it was using /usr/local
    otherwise by unknown reasons.
  * src/snprintf.c:
  * src/snprintf.h: Remove the asnprintf and asprintf functions since they were
  keeping s390 from building and are actually not used, closes: #443616.

 -- Diego Escalante Urrelo <diegoe@gnome.org>  Sun, 21 Oct 2007 21:59:40 -0500

htp (1.16-1) unstable; urgency=low

  * New upstream release. closes: #442431
  * Make build system aware of nostrip and noopt options of DEB_BUILD_OPTIONS.
  * Fixed stripping. nostrip actually works now. closes: #437175

 -- Diego Escalante Urrelo <diegoe@gnome.org>  Thu, 20 Sep 2007 02:33:36 -0500

htp (1.15-3) unstable; urgency=low

  * Fixed clean process, modified tests/Makefile and src/Makefile.
  * Memory problems of s390 fixed (really) modifying src/streams.c, done by Bastian Blank, closes: #332322

 -- Diego Escalante Urrelo <diegoe@gnome.org>  Tue, 11 Oct 2005 16:54:15 -0500

htp (1.15-2) unstable; urgency=low

  * Fixed memory problems in s390

 -- Diego Escalante Urrelo <diegoe@gnome.org>  Fri, 30 Sep 2005 10:06:31 -0500

htp (1.15-1) unstable; urgency=low

  * New maintainer, closes: #280023
  * New upstream release, closes: #236240, #193652
  * Erased unnecesary htp.manpages and added dh_installman debian/htp.1 to debian/rules
  * Modified homepage/ref/Makefile to prevent *.htp files from being included into the package.
  * Added debian/htp.examples to install the tests/ and examples/ directories.
  * Added htp's url in the package description.
  * Removed README.Debian-sources
  * Changed the download url in debian/copyright.

 -- Diego Escalante Urrelo <diegoe@gnome.org>  Mon, 12 Sep 2005 02:01:33 -0500

htp (1.13-2) unstable; urgency=low

  * QA Group upload orphaning this package

 -- Andrew Pollock <apollock@debian.org>  Fri,  4 Mar 2005 10:19:50 +1100

htp (1.13-1) unstable; urgency=low

  * New upstream
  * New license, closes: #144984
  * Fixed HTML documentation in dhelp, closes: #150767
  
 -- Matthew Macleod <matthew.macleod@btinternet.com>  Thu, 20 Jun 2002 20:58:53 +0100

htp (1.11-3) unstable; urgency=low

  * New maintainer, closes: #142251
  * Added manpage
  * Fixed segfault when recieving unknown command-line options, closes: #125816
  * Added pointer to manpage in -? output

 -- Matthew Macleod <matthew.macleod@btinternet.com>  Fri, 14 Jun 2002 15:47:27 +0100
 

htp (1.11-2) unstable; urgency=low

  * Don't include example menu file

 -- Jonathon D Nelson <jnelson@boa.org>  Wed,  4 Apr 2001 23:21:08 -0500

htp (1.11-1) unstable; urgency=low

  * New upstream

 -- Jonathon D Nelson <jnelson@boa.org>  Tue,  3 Apr 2001 22:13:25 -0500

htp (1.10-3.1) unstable; urgency=low

  * -3 in the archive had no source upload, this should fix that.  While we're
    at it, move the clean clause out of the makefile and into the rules file
    to keep the makefile pristine upstream source, closes: #48633
  * fix /usr/doc -> /usr/share/doc issues
  * thanks to Matt Taggart <taggart@iname.com> who did the footwork for this
    NMU as part of bug-squash day

 -- Bdale Garbee <bdale@gag.com>  Sat, 20 Nov 1999 23:11:03 -0700

htp (1.10-2) unstable; urgency=low

  * Hopefully fixed description in debian/control

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Sun, 24 Jan 1999 10:03:58 -0600

htp (1.10-1) unstable; urgency=low

  * Initial Release.

 -- Jonathon D. Nelson <nels0988@tc.umn.edu>  Fri, 22 Jan 1999 03:20:40 -0600

Local variables:
mode: debian-changelog
End:

=== debian/control ===
Source: htp
Section: web
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: dpkg-dev (>= 1.15.7), debhelper (>= 7.2.7)
Standards-Version: 3.8.1

Package: htp
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: http://htp.sourceforge.net
Description: An HTML pre-processor
 htp is an HTML pre-processor. It is designed to be a flexible authoring tool 
 that can easily be integrated into the HTML design process. 
 .
 Documentation and examples are included.

=== debian/rules ===
#!/usr/bin/make -f
# vim: set noet:

#export DH_VERBOSE=1

CPPFLAGS := $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS := $(shell dpkg-buildflags --get CFLAGS)
LDFLAGS := $(shell dpkg-buildflags --get LDFLAGS)

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CCOPT="-c $(CPPFLAGS) $(CFLAGS)" LOPT="$(LDFLAGS)"

=== debian/watch ===
version=3
http://sf.net/htp/htp-(.+)\.tar\.gz

## htp 1.19

=== Makefile ===
#
# makefile - htp
#
# HTML pre-processor
# Copyright (c) 2002 Jochen Hoenicke
#

include Makefile.config

d:=.

DISTDIRS  :=
DISTFILES := Makefile Makefile.config CLARIFIED_ARTISTIC INSTALL
CLEAN     := *~
SCRUB     := $(MAIN)-*.zip $(MAIN)-*.tar.gz
HTML      :=

# sub directories

dir:=src
include $(dir)/Makefile.sub
dir:=tests
include $(dir)/Makefile.sub
dir:=homepage
include $(dir)/Makefile.sub
dir:=examples
include $(dir)/Makefile.sub

all:
.PHONY: all install dist scrub clean force 

scrub:: clean
	rm -f $(SCRUB)

clean::
	rm -rf $(RELDIR)
	rm -f $(CLEAN)

dist:
	rm -rf $(RELDIR)
	for i in $(DISTDIRS); do mkdir -p $(RELDIR)/$$i; done
	for i in $(DISTFILES); do cp -p $$i $(RELDIR)/$$i; done

release: all release-src release-doc release-bin
	ls -l $(MAIN)-$(VERSION)*
	@test "$(RELEASE)" = 1 || \
        echo "****** ADD RELEASE=1 TO Makefile.config *******"

release-src: dist
	tar -czf $(MAIN)-$(VERSION).tar.gz $(RELDIR)
	rm -rf $(RELDIR)
	@test "$(RELEASE)" = 1 || \
        echo "****** ADD RELEASE=1 TO Makefile.config *******"

release-doc: $(HTP)
	rm -rf $(RELDIR)
	$(MAKE) install-doc pkgdocdir=`pwd`/$(RELDIR)
	zip -r $(MAIN)-$(VERSION)-doc.zip $(RELDIR)
	rm -rf $(RELDIR)

release-bin: $(HTP)
	$(STRIP) $(HTP)
	zip -j $(MAIN)-$(VERSION)-$(OS).zip $(HTP) CLARIFIED_ARTISTIC


$(HTML): %.html: %.htp $(HTP)
	cd $(dir $<); $(PWD)/$(HTP) -quiet -nodepend $(notdir $<) $(notdir $@)

vars:
	@echo HTML=$(HTML)
	@echo HTMLhomepage=$(HTMLhomepage)
	@echo HTMLhomepage/ref=$(HTMLhomepage/ref)
	@echo HTMLtests=$(HTMLtests)
	@echo HTMLexamples=$(HTMLexamples)
	@echo SRC=$(SRC)
	@echo HTP=$(HTP)

=== debian/changelog ===
htp (1.19-8) unstable; urgency=medium

  * New maintainer. (Closes: #676574)
  * debian/control:
      - Added 'Rules-Requires-Root' field to source stanza.
      - Bumped DH level to 13.
      - Bumped Standards-Version to 4.5.0.
      - Improved long description to mention some supported file types and
        describe target users.
  * debian/copyright: updated packaging copyright years and authors.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/: created to perform trivial CI tests.
  * debian/upstream/metadata: created.

 -- Marcelo Soares Mota <motasmarcelo@gmail.com>  Sun, 14 Jun 2020 20:21:19 -0300

htp (1.19-7) unstable; urgency=medium

  * QA upload.
  * wrap-and-sort -sta
  * Fix whitespace errors in following files:
    + debian/changelog
    + debian/htp.1
  * Update standards version to 4.2.1 (no changes needed)
  * Update debhelper compat to 11.
    + Export PERL_USE_UNSAFE_INC in `debian/rules'. It is need for
      upstream build system. Unlike compat=10, compat=11 does not set
      this variable.
  * Build-depend on `debhelper-compat' (obsoletes `debian/compat')
  * Update Vcs-* fields in `debian/control'
  * Use secure url in `debian/copyright' format field

 -- Dmitry Bogatov <KAction@debian.org>  Sun, 02 Dec 2018 23:47:57 +0000

htp (1.19-6) unstable; urgency=medium

  * QA upload.
  * Fix occasional parallel FTBFS.

 -- Adrian Bunk <bunk@debian.org>  Wed, 31 Jan 2018 11:52:19 +0200

htp (1.19-5) unstable; urgency=medium

  * QA upload.
  * Upload to unstable.

 -- Adrian Bunk <bunk@debian.org>  Sun, 18 Jun 2017 17:16:29 +0300

htp (1.19-4) experimental; urgency=low

  * QA upload.
  * debian/copyright:
      - Added Upstream-Contact field.
      - Updated packaging copyright years and authors.
      - Updated upstream's copyright info: added missing author's emails.
  * debian/htp.doc-base: renamed to doc-base.
  * debian/htp.examples:
      - Removed tests/ because it is not useful to users.
      - Renamed to examples.
  * debian/htp.manpages: renamed to manpages.
  * debian/lintian-overrides: created to override two false positives.
  * debian/rules:
      - Removed obsolete variables.
      - Updated hardening variable.

 -- Marcelo Soares Mota <motasmarcelo@gmail.com>  Sat, 11 Mar 2017 19:08:59 -0300

htp (1.19-3) experimental; urgency=low

  * QA upload.
  * Bumped DH level to 10.
  * debian/control:
      - Bumped Standards-Version to 3.9.8.
      - Removed article at beginning of synopsis.
  * debian/copyright:
      - Removed '(C)' characters from copyright fields.
      - Updated packaging copyright years.
      - Updated Source URL.
  * debian/htp.doc-base: renamed from debian/doc-base.htp.
  * debian/patches:
      - Added header to 0003-Replace-sflogo-link-with-text.patch.
  * debian/rules:
      - Added hardening variables.
      - Removed vim comment.
  * debian/watch:
      - Bumped to version 4.
      - Improved search line.

 -- Marcelo Soares Mota <motasmarcelo@gmail.com>  Sun, 19 Feb 2017 17:39:13 +0000

htp (1.19-2) unstable; urgency=medium

  * QA Upload.
  [ Chris Lamb ]
  * debian/rules: Add "export TZ=UTC". Closes: #795562.

 -- Santiago Vila <sanvila@debian.org>  Thu, 27 Aug 2015 18:45:28 +0200

htp (1.19-1) unstable; urgency=medium

  * QA Upload
  * New upstream version
  * Patches refreshed:
    - 0001-Fix-install-path-to-usr-not-usr-local.patch
    - 0002-Remove-unused-printf-variants.patch
  * Removed redundant patch:
    - 0003-Makefile-clean-target-fix.patch
  * Created new patch 0003-Replace-sflogo-link-with-text.patch to replace
    a link to the SourceForge logo with text instead to fix privacy issues.

 -- Iain R. Learmonth <irl@fsfe.org>  Sat, 15 Aug 2015 14:38:47 +0100

htp (1.16-5) unstable; urgency=medium

  * QA upload
  * debian/control:
    - Bumped standards version to 3.9.6
    - Switch to debhelper >= 9
    - Remove redundant Build-Depends on dpkg-dev
    - Moved homepage to source package section
  * debian/compat:
    - Bumped compat level to 9
  * Removed redundant debian/dirs file
  * debian/copyright:
    - Converted to DEP-5 format
    - Fixed license information (Closes: #717506)

 -- Iain R. Learmonth <irl@fsfe.org>  Thu, 13 Aug 2015 14:01:58 +0100

=== debian/control ===
Source: htp
Maintainer: Marcelo Soares Mota <motasmarcelo@gmail.com>
Section: web
Priority: optional
Build-Depends: debhelper-compat (= 13)
Standards-Version: 4.5.0
Rules-Requires-Root: no
Homepage: http://htp.sourceforge.net
Vcs-Browser: https://salsa.debian.org/debian/htp
Vcs-Git: https://salsa.debian.org/debian/htp.git

Package: htp
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: nice HTML pre-processor
 htp is an HTML pre-processor. It is designed to be a flexible authoring tool
 that can easily be integrated into the HTML design process.
 .
 It is able to preprocess HTML, XHTML, XML and CSS files (it could handle
 any text based files). Its purpose is to assist on maintaining a consistent
 look over an entire set of web pages. This is done by allowing someone to
 define their own tags as abbreviations for sets of standard HTML tags.
 .
 Those looking for a tool that allows handling HTML files with any text
 editor, not graphical based editors only, will find htp very helpful since
 it runs from the command-line to build the final HTML code that goes on the
 HTTP server.
 .
 Documentation and examples are included.

=== debian/rules ===
#!/usr/bin/make -f

export TZ=UTC
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export PERL_USE_UNSAFE_INC = 1

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- CCOPT="-c $(CPPFLAGS) $(CFLAGS)" LOPT="$(LDFLAGS)"

=== debian/tests/control ===
Test-Command: htp | grep -i usage
Restrictions: superficial

Test-Command: cp examples/* $AUTOPKGTEST_TMP/;
              cp debian/tests/files/* $AUTOPKGTEST_TMP/; cd $AUTOPKGTEST_TMP/;
              for i in beer prime quine section; do htp $i.htp $i.html1; done;
              diff -q quine.html quine.html1 && echo Test-OK

=== debian/watch ===
version=4
http://sf.net/htp/ htp-(.+)\.tar\.gz debian uupdate
